For the complete documentation index, see llms.txt. This page is also available as Markdown.

Balance

get

Get the current subscription status and transfer balance.

Authorizations
AuthorizationstringRequired

BringYour JWT

Responses
200Success
application/json
balance_byte_countintegerOptional
pending_payout_usd_nano_centsintegerOptional
update_timestringOptional
get/subscription/balance
GET /subscription/balance HTTP/1.1
Host: api.bringyour.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "balance_byte_count": 1,
  "current_subscription": {
    "subscription_id": "text",
    "store": "text",
    "plan": "text"
  },
  "active_transfer_balances": [
    {
      "balance_id": "text",
      "network_id": "text",
      "start_time": "text",
      "end_time": "text",
      "start_balance_byte_count": 1,
      "net_revenue_nano_cents": 1,
      "balance_byte_count": 1
    }
  ],
  "pending_payout_usd_nano_cents": 1,
  "wallet_info": {
    "wallet_id": "text",
    "token_id": "text",
    "blockchain": "Polygon",
    "blockchain_symbol": "MATIC",
    "create_date": "text",
    "balance_usdc_nano_cents": 1,
    "address": "text"
  },
  "update_time": "text"
}

Was this helpful?